Retrieve a list of external entities from the destination system for a particular credential - m3ter Documentation
Retrieve a list of external entities from the destination system for a particular credential
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/externalmappingconfiguration/values/{destination}/{entityType}/{integrationCredentialsId} \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.m3ter.com/organizations/{orgId}/externalmappingconfiguration/values/{destination}/{entityType}/{integrationCredentialsId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/externalmappingconfiguration/values/{destination}/{entityType}/{integrationCredentialsId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Responses
- 200
- 4XX
- 5XX
[\
{\
"externalId": "<string>",\
"externalName": "<string>"\
}\
]
{
"message": "<string>"
}
{
"message": "<string>"
}
Authorizations
Authorization
- Type: string
- In: header
- Required: Yes
- Description: m3ter supports machine to machine authentication using the
clientCredentialsOAuth2 flow.
Path Parameters
- orgId: UUID of the organization (required)
- destination: Name of the destination system (required)
- entityType: The m3ter entity type (required)
- integrationCredentialsId: The UUID of the credentials to use (required)
Query Parameters
- externalTable: Name of the target externalTable
Response Structure
200: Returns a list of the external systems entities using a particular credential.
Response Items:
- externalId: string
- externalName: string